org.eclipse.jetty.util.preventers

## Class LDAPLeakPreventer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.preventers.AbstractLeakPreventer
    - - org.eclipse.jetty.util.preventers.LDAPLeakPreventer

All Implemented Interfaces:
  LifeCycle

    public class LDAPLeakPreventer
    extends AbstractLeakPreventer

LDAPLeakPreventer If com.sun.jndi.LdapPoolManager class is loaded and the system property com.sun.jndi.ldap.connect.pool.timeout is set to a nonzero value, a daemon thread is started which can pin a webapp classloader if it is the first to load the LdapPoolManager. Inspired by Tomcat JreMemoryLeakPrevention

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`LOG`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`LDAPLeakPreventer()`

### Method Summary

Methods
`void` `prevent(ClassLoader loader)`

### Methods inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`doStart`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, doStop, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LDAPLeakPreventer

    public LDAPLeakPreventer()

### Method Detail

#### prevent

    public void prevent(ClassLoader loader)

Specified by:
  `prevent` in class `AbstractLeakPreventer`
See Also:
  `AbstractLeakPreventer.prevent(java.lang.ClassLoader)`